Actualizar la configuración de webhook
curl --request PUT \
--url https://api.nuvia.ai/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": [],
"custom_headers": {}
}
'import requests
url = "https://api.nuvia.ai/v1/webhooks/{id}"
payload = {
"url": "<string>",
"events": [],
"custom_headers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: [], custom_headers: {}})
};
fetch('https://api.nuvia.ai/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": {},
"company": {},
"url": "<string>",
"events": [
"MESSAGE_SENT"
],
"custom_headers": {},
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Webhooks
Actualizar la configuración de webhook
Use el id devuelto por GET /v1/webhooks. Un webhook de otra empresa devuelve 403.
PUT
/
v1
/
webhooks
/
{id}
Actualizar la configuración de webhook
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Encabezados
Identificador de la empresa objetivo. Obligatorio solo para API keys globales (type=global). Se ignora para API keys de empresa y usuarios humanos.
Parámetros de ruta
Cuerpo
application/json
URL del webhook para recibir los eventos
Lista de eventos que dispararán el webhook
Minimum array length:
1Opciones disponibles:
MESSAGE_SENT, MESSAGE_RECEIVED, MESSAGE_DELIVERED, MESSAGE_READ, CONVERSATION_UPDATED, CONVERSATION_CREATED, FOLLOWUP_SENT, FIELD_UPDATED, CONTACT_CREATED, CONTACT_UPDATED Headers personalizados para enviar junto con el webhook
Show child attributes
Show child attributes
Estado del webhook (ACTIVE o INACTIVE)
Opciones disponibles:
ACTIVE, INACTIVE Respuesta
200 - application/json
Opciones disponibles:
MESSAGE_SENT, MESSAGE_RECEIVED, MESSAGE_DELIVERED, MESSAGE_READ, CONVERSATION_UPDATED, CONVERSATION_CREATED, FOLLOWUP_SENT, FIELD_UPDATED, CONTACT_CREATED, CONTACT_UPDATED Opciones disponibles:
ACTIVE, INACTIVE